# -*- coding: utf-8 -*-

from django.conf.urls.defaults import url
from django.conf.urls.defaults import patterns

# TRACKING
urlpatterns = patterns('mailer.views',
    url(
        r'^tracking/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)/$',
        'mailer_email_render_email',
        name='mailer_email_render_email'
    ),
    url(
        r'^tracking/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+).png$',
        'mailer_email_tracking',
        name='mailer_email_tracking'
    ),
    url(
        r'^tracking/link/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)/(?P<link_id>\d+)/$',
        'mailer_email_tracking_link',
        name='mailer_email_tracking_link'
    ),
    url(
        r'^download/attachment/(?P<obj_id>\d+)/$',
        'mailer_email_attachment',
        name='mailer_email_attachment'
    )
)