"""Settings for newsletter"""
import os, string
from django.conf import settings

USE_WORKGROUPS = getattr(settings, 'MAILER_USE_WORKGROUPS', False)
USE_UTM_TAGS = getattr(settings, 'MAILER_USE_UTM_TAGS', False)
CAN_USE_PREMAILER = getattr(settings, 'MAILER_CAN_USE_PREMAILER', True)
MAILER_HARD_LIMIT = getattr(settings, 'MAILER_MAILER_HARD_LIMIT', 10000)
UNIQUE_KEY_LENGTH = getattr(settings, 'MAILER_UNIQUE_KEY_LENGTH', 8)
UNIQUE_KEY_CHAR_SET = getattr(settings, 'MAILER_UNIQUE_KEY_CHAR_SET', string.ascii_uppercase + string.digits)
DEFAULT_HEADER_REPLY = getattr(settings, 'MAILER_DEFAULT_HEADER_REPLY', 'Thunder Systems Mailer<noreply@thundersystems.it>')
DEFAULT_HEADER_SENDER = getattr(settings, 'MAILER_DEFAULT_HEADER_SENDER', 'Thunder Systems Mailer<noreply@thundersystems.it>')
TRACKING_LINKS = getattr(settings, 'MAILER_TRACKING_LINKS', True)
TRACKING_LINK_SITE = getattr(settings, 'MAILER_TRACKING_LINK_SITE', True)
TRACKING_IMAGE = getattr(settings, 'MAILER_TRACKING_IMAGE', 'iVBORw0KGgoAAAANSUhEUgAAAAIAAAACCAYAAABytg0kAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9sJCQkRBnFe1h0AAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAAC0lEQVQI12NgQAcAABIAAe+JVKQAAAAASUVORK5CYII=')
EMAIL_MEDIA_URL = getattr(settings, 'MAILER_MEDIA_URL', os.path.join(settings.MEDIA_URL, 'mailer'))
EMAIL_BASE_PATH = getattr(settings, 'MAILER_BASE_PATH', 'uploads/mailer')
INCLUDE_UNSUBSCRIPTION = getattr(settings, 'MAILER_INCLUDE_UNSUBSCRIPTION', True)